This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 538246 - Request change of directory name: 'tmp' to 'output'
Request change of directory name: 'tmp' to 'output'
Status: CLOSED NOTABUG
Product: Publican
Classification: Community
Component: publican (Show other bugs)
1.6
All Linux
low Severity medium
: ---
: ---
Assigned To: Jeff Fearn
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-11-17 20:05 EST by Joshua Wulf
Modified: 2014-10-19 18:57 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-25 18:45:04 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2009-11-17 20:05:56 EST
After building a book in publican the output is in a directory called 'tmp'. It might make more sense to name this directory 'output' as this is what it contains. From a developer perspective this may be a temporary directory, but from a user perspective this is the directory that contains the output of the publican build process.

When I first started using publican a few years ago, I would routinely cd into the 'en-US' directory to find the output, as I had specified to build in en-US and this was the only directory I could see that seemed to relate. 

A directory called 'output' would be even more obvious.
Comment 1 Jeff Fearn 2009-11-25 18:45:04 EST
It's not just output, it's full of intermediate content.

If you want something clearer add --publish to the command line, it makes a directory name publish which contains only output.

Note You need to log in before you can comment on or make changes to this bug.